---
title: "Welcome to apiato"
---

[![apiato](https://img.shields.io/badge/Status-Awesome-brightgreen.svg)](https://github.com/apiato/apiato)
[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/apiato/apiato/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/apiato/apiato/?branch=master)
[![Build Status](https://travis-ci.org/apiato/apiato.svg?branch=master)](https://travis-ci.org/apiato/apiato)
[![Latest Stable Version](https://poser.pugx.org/apiato/apiato/v/stable)](https://packagist.org/packages/apiato/apiato)
[![Latest Unstable Version](https://poser.pugx.org/apiato/apiato/v/unstable)](https://packagist.org/packages/apiato/apiato)
[![Dependency Status](https://www.versioneye.com/user/projects/578988f4c3d40f0046852116/badge.svg?style=flat-square)](https://www.versioneye.com/user/projects/578988f4c3d40f0046852116)
[![Build Status](https://scrutinizer-ci.com/g/apiato/apiato/badges/build.png?b=master)](https://scrutinizer-ci.com/g/apiato/apiato/build-status/master)
[![composer.lock](https://poser.pugx.org/apiato/apiato/composerlock)](https://packagist.org/packages/apiato/apiato)
[![License](https://poser.pugx.org/apiato/apiato/license)](https://packagist.org/packages/apiato/apiato)

**Build better API's faster with PHP and Laravel 5.4**

**apiato** is a starter project, designed to help you build scalable API's faster, by providing tools and
functionalities that facilitates the development of any API-Centric Applications.

apiato uses the best frameworks, tools and conventions in a very creative way to deliver a modern PHP Application.

Why!? setting up a solid API from scratch is time consuming (and time is money).
apiato gives you the core features of robust API's, so you can focus on your business logic and deliver faster.
Skip the repetitive work and enjoy the open source fun.


**apiato [Features list](https://github.com/apiato/apiato#features) on Github.**


> `Hello API` was the first name of this project, it was renamed to `apiato` in March, 22, 2017 for no reason.

## How to read the docs

The documentation has 4 sections:

- **Getting Started**: contains mainly the project installation steps.
- **General**: contains few general things to get you started.
- **Features**: explains how to use each feature of apiato, and show how it works and how it can be configured to meet your needs.
- **Components**: explains how, where and why you need to use each component "class". In each component page you will see:
  * **Definition**: what is the the component and what it's role.
  * **Principles**: the general principles of the component, which could be applied to any programming language.
  * **Rules**: how to apply the component principles in apiato (a PHP/Laravel project), to ensure a smooth operation.
  * **Folder Structure**: the folder structure, that shows where to place your component.
  * **Code Sample**: a boilerplate to show how to write and use the component.
  * **Misc**: things related to the component, like configurations and other stuff you might need while coding.


### Conventions

> The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in RFC 2119 [[RFC2119](http://tools.ietf.org/html/rfc2119)].



<a name="Chat"></a>
## Get in touch

Join our [Slack](https://apiato.slack.com/shared_invite/MTYyMzk3MzIzNjIxLTE0OTA5MDE0NTMtOTljOGU1NmFlZQ) chatting room, by click on the Slack icon below.

[![](https://s19.postimg.org/h7pvzy9ar/Slack-i_OS-icon.png)](https://now-examples-slackin-bvfqosqozk.now.sh)

<a name="Donations"></a>
## Donations

[![Donate](https://img.shields.io/badge/Donate-PayPal-green.svg)](https://www.paypal.me/mzalt) 
[![Beerpay](https://beerpay.io/apiato/apiato/badge.svg?style=flat)](https://beerpay.io/apiato/apiato)


Thanks,
